package com.yeejoin.amos.fas.core.util;

import com.yeejoin.amos.fas.common.constant.Constant;
import org.springframework.http.HttpStatus;

public class CommonResponseUtil2 {
    public static ResponseModel success() {
        ResponseModel res = new ResponseModel();
        res.setDevMessage(Constant.RESULT_SUCCESS);
        res.setStatus(HttpStatus.OK.value());
        return res;
    }

    public static ResponseModel success(Object obj) {
        ResponseModel res = new ResponseModel();
        res.setResult(obj);
        res.setDevMessage(Constant.RESULT_SUCCESS);
        res.setStatus(HttpStatus.OK.value());
        return res;
    }

    public static ResponseModel success(Object obj, String message) {
        ResponseModel res = new ResponseModel();
        res.setResult(obj);
        res.setDevMessage(message);
        res.setStatus(HttpStatus.OK.value());
        return res;
    }

    public static ResponseModel failure() {
        ResponseModel res = new ResponseModel();
        res.setDevMessage(Constant.RESULT_FAILURE);
        res.setStatus(HttpStatus.INTERNAL_SERVER_ERROR.value());
        return res;
    }

    public static ResponseModel failure(String message) {
        ResponseModel res = new ResponseModel();
        res.setDevMessage(Constant.RESULT_FAILURE);
        res.setMessage(message);
        res.setStatus(HttpStatus.INTERNAL_SERVER_ERROR.value());
        return res;
    }

    public static ResponseModel failure(Object obj, String message) {
        ResponseModel res = new ResponseModel();
        res.setResult(obj);
        res.setDevMessage(Constant.RESULT_FAILURE);
        res.setStatus(HttpStatus.INTERNAL_SERVER_ERROR.value());
        return res;
    }
}
